﻿@using Microsoft.AspNetCore.Identity
@using FoodSystem.Models

@inject SignInManager<User> SignInManager
@inject UserManager<User> UserManager

<ul class="navbar-nav column-gap-2">
@if (SignInManager.IsSignedIn(User))
{
    @* <li class="nav-item">
        <a id="manage" class="nav-link" asp-area="Identity" asp-page="/Account/Manage/Index" title="Manage">Hello @UserManager.GetUserName(User)!</a>
    </li>
    <li class="nav-item">
        <form id="logoutForm" class="form-inline" asp-area="Identity" asp-page="/Account/Logout" asp-route-returnUrl="@Url.Page("/Index", new { area = "" })">
            <button id="logout" type="submit" class="nav-link btn btn-link border-0">Logout</button>
        </form>
    </li> *@
    <div class="dropdown">
            <button class="btn-nav-account" type="button" data-bs-toggle="dropdown" aria-expanded="false"><i class="fa-solid fa-circle-user fa-2xl"></i></button>
        <ul class="dropdown-menu dropdown-menu-end">
            <li><a class="dropdown-item" asp-area="Identity" asp-page="/Account/Manage/Index">Account Settings</a></li>
            <li><hr class="dropdown-divider"></li>
            <li><a class="dropdown-item" asp-area="Identity" asp-page="/Account/Logout">Logout</a></li>
        </ul>
    </div>
}
else
{
    <li class="nav-item">
        <a class="btn-orange-primary" id="login" asp-area="Identity" asp-page="/Account/Login">Login</a>
    </li>
    <li class="nav-item">
        <a class="btn-orange-primary" id="register" asp-area="Identity" asp-page="/Account/Register">Register</a>
    </li>   
}
</ul>
